node 
{
    try
    {
    	stage("git clone")
	    {
	        checkout([$class: 'GitSCM',
    			branches: [[name: 'develop']],
    			userRemoteConfigs: [[
    				url: 'https://bitbucket.org/rostell/rtx.git',
    				credentialsId: '6a0fb190-1ad0-41f6-90c5-2f3b0b927807'
    			]],
    			extensions: [
    			  [$class: 'CloneOption', shallow: false, noTags: false, timeout: 240, depth: 1, honorRefspec: false],
    			  [$class: 'CheckoutOption', timeout: 240]
    			]
    		])
	    }
	    def rtx = load('build.groovy')
	    rtx.build()
    }
	catch (ex)
	{
		throw ex
	}
	finally
	{
	    junit '_test/*.xml'
	}
}